<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjSlideModel extends pjAppModel
{
	protected $primaryKey = 'id';

	protected $table = 'slides';

	protected $schema = array(
		array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'image_original', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'image_thumb', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'target', 'type' => 'enum', 'default' => '_self'),
		array('name' => 'sort', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'status', 'type' => 'enum', 'default' => 'T')
	);

	protected $validate = array(
		'rules' => array(
			'status' => 'pjActionRequired'
		)
	);

	protected $i18n = array('title', 'desc', 'url');
	
	public static function factory($attr=array())
	{
		return new pjSlideModel($attr);
	}
}
?>